Page MenuHomePhabricator

Share vuejs components between projects
Closed, InvalidPublic

Description

Several of our projects (Wikidata-Termbox, Wikidata-Bridge, Wikidata Tainted References) are using vuejs and some components inspired by OOUI. Some of these components seem to be generic enough to be shared between projects and to fulfill a common need of each of these projects.

Event Timeline

Michael created this task.Oct 18 2019, 9:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 18 2019, 9:08 AM
Addshore assigned this task to Jakob_WMDE.EditedDec 3 2019, 3:45 PM
Addshore added subscribers: Jakob_WMDE, Addshore.

Moving this to in investigation so that @Jakob_WMDE can start evaluating and planning for work on this as a trailblaze for 2020.

Addshore triaged this task as Medium priority.Dec 3 2019, 3:45 PM

Per our frontend guild meeting discussion an MVP should likely include the following: Repo, CI, first component + use in multiple projects, story book, and a documentation for rules of engagement for the repo (versioning, how could add stuff, how to communicate changes).

The work of the mini-hike was tracked under T240329

Akuckartz added a subscriber: Akuckartz.

In the light of our current Design System project this task can be closed as invalid.

darthmon_wmde closed this task as Invalid.Jul 30 2020, 4:31 PM